name: Enforce PR-Jira association

on:
  pull_request:
    types:
      - opened
      - reopened
      - edited
      - synchronize

jobs:
  enforce-issue:
    runs-on: ubuntu-latest
    name: JIRA Association
    steps:
      - name: Check for JIRA ISSUE
        id: check
        uses: usehaystack/jira-pr-link-action@v4
        with:
          ignore-author: dependabot[bot]
          project: "DEV2"
